# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-02 11:27
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('c_name', models.CharField(max_length=50)),
                ('lon', models.FloatField()),
                ('lat', models.FloatField()),
            ],
            options={
                'db_table': 'city',
            },
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_id', models.IntegerField()),
                ('house_num', models.CharField(max_length=10)),
                ('lat', models.FloatField()),
                ('lon', models.FloatField()),
                ('city', models.ForeignKey(db_column='city_id', on_delete=django.db.models.deletion.CASCADE, to='fmaps.City')),
            ],
            options={
                'db_table': 'client',
            },
        ),
        migrations.CreateModel(
            name='Flight',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField()),
                ('distance', models.IntegerField()),
            ],
            options={
                'db_table': 'orders_flight',
            },
        ),
        migrations.CreateModel(
            name='FlightOrder',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('flight', models.ForeignKey(db_column='flight_id', on_delete=django.db.models.deletion.CASCADE, to='fmaps.Flight')),
            ],
            options={
                'db_table': 'flight_order',
            },
        ),
        migrations.CreateModel(
            name='GeoStreet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('street_name', models.CharField(max_length=50)),
                ('city', models.ForeignKey(db_column='city_id', on_delete=django.db.models.deletion.CASCADE, to='fmaps.City')),
            ],
            options={
                'db_table': 'geo_street',
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client', models.IntegerField(db_column='client_id')),
                ('persons', models.IntegerField()),
                ('delivery_period', models.IntegerField()),
                ('address', models.ForeignKey(db_column='address_id', on_delete=django.db.models.deletion.CASCADE, to='fmaps.Client')),
                ('city', models.ForeignKey(db_column='city_id', on_delete=django.db.models.deletion.CASCADE, to='fmaps.City')),
            ],
            options={
                'db_table': 'orders_order',
            },
        ),
        migrations.CreateModel(
            name='Point',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('point_name', models.CharField(max_length=50)),
                ('address', models.CharField(max_length=255)),
                ('lat', models.FloatField()),
                ('lon', models.FloatField()),
                ('cooking_time', models.IntegerField()),
                ('city', models.ForeignKey(db_column='city_id', on_delete=django.db.models.deletion.CASCADE, to='fmaps.City')),
            ],
            options={
                'db_table': 'point',
            },
        ),
        migrations.AddField(
            model_name='order',
            name='point',
            field=models.ForeignKey(db_column='point_id', on_delete=django.db.models.deletion.CASCADE, to='fmaps.Point'),
        ),
        migrations.AddField(
            model_name='flightorder',
            name='order',
            field=models.ForeignKey(db_column='order_id', on_delete=django.db.models.deletion.CASCADE, to='fmaps.Order'),
        ),
        migrations.AddField(
            model_name='flight',
            name='point',
            field=models.ForeignKey(db_column='point_id', on_delete=django.db.models.deletion.CASCADE, to='fmaps.Point'),
        ),
        migrations.AddField(
            model_name='client',
            name='street',
            field=models.ForeignKey(db_column='street_id', on_delete=django.db.models.deletion.CASCADE, to='fmaps.GeoStreet'),
        ),
    ]
